Bug 1643301 - Provisioning two APB services temporarily broke networking in the namespace
Summary: Provisioning two APB services temporarily broke networking in the namespace
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.11.z
Assignee: Jesus M. Rodriguez
QA Contact: Zihan Tang
URL:
Whiteboard:
Depends On: 1613280 1643303
Blocks: 1643300
TreeView+ depends on / blocked
 
Reported: 2018-10-25 21:08 UTC by Jesus M. Rodriguez
Modified: 2019-11-13 09:51 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The Automation Broker always created a network policy to give the transient namespace access to the target namespace. Consequence: Adding a network policy to a namespace that does not have any other network policies in place causes the namespace to be locked down to the newly created policy. Before the network policy, everything was open and namespaces could communicate with each other. Fix: The Automation Broker looks to see if there are any network policies in place for the target namespace. If there are none, the broker will not create a new network policy. The broker will assume that things are open enough to allow the transient namespace we create to communicate with the target namespace. The broker will still create a network policy giving the transient namespace access to the target namespace, if there are other network policies in place for the target namespace. Result: The fix allows the broker to perform the APB actions without affecting existing services running on the target namespace.
Clone Of: 1613280
Environment:
Last Closed: 2018-11-20 03:11:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3537 None None None 2018-11-20 03:12:09 UTC

Comment 2 Zihan Tang 2018-11-02 08:11:13 UTC
Verified:
ASB: v3.11.36 , version: 1.3.20

step:
1. provision mediawiki in test namespace, check the networkpolicy 
# oc get networkpolicy
No resources found.

#curl mediawiki-4f181005-de73-11e8-8a7a-0a580a800008.test1.svc:8080 -vvv
2. provision mediawiki-apb /postgresql-apb in test namespace, during provision, check the networkpolicy
# oc get networkpolicy
.
#curl mediawiki-4f181005-de73-11e8-8a7a-0a580a800008.test1.svc:8080 -vvv
.....

result : during new provision, no new networkpolicy created , and the old pod network service still responsed to `curl ` command.

Comment 4 errata-xmlrpc 2018-11-20 03:11:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3537


Note You need to log in before you can comment on or make changes to this bug.